Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLProgressBar Class Reference

A progress bar. More...

`#include <sdlprogressbar.h>`

Inheritance diagram for SDLProgressBar

[legend]
Collaboration diagram for SDLProgressBar:

[legend]
List of all members.

## Public Methods
| SDLProgressBar (SDLWidget* parent, SDL_Rect& r)
| ~SDLProgressBar ()
void | SetProgress (double p)
void | LoadThemeStyle (const char* widgettype)
| Load a style from the theme definition. More...
## Protected Methods
void | eventDraw (SDL_Surface* surface, SDL_Rect* rect)

## Detailed Description

A progress bar.

Author(s):
  Alexander Pipelka

Displays progress by taking a percentage and sizing the bar appropriately.

Definition at line 53 of file sdlprogressbar.h.

## Constructor & Destructor Documentation

SDLProgressBar::SDLProgressBar ( | SDLWidget * parent,
| SDL_Rect & r )

SDLProgressBar::~SDLProgressBar ( | )

## Member Function Documentation

void SDLProgressBar::LoadThemeStyle ( | const char * widgettype )`[virtual]`

  | Load a style from the theme definition. Parameters:
  widgettype | name of the widgettype
  objectname | name of the object
Loads the defined style for a given widgettype Reimplemented from SDLGradientWidget.

void SDLProgressBar::SetProgress ( | double p )

void SDLProgressBar::eventDraw ( | SDL_Surface * surface,
| SDL_Rect * rect )`[protected, virtual]`

| Reimplemented from SDLGradientWidget.

The documentation for this class was generated from the following file:

- sdlprogressbar.h